%define bound_lib       gsl
%define major           19
%define libgsl_name     %mklibname %{bound_lib} %major

Name:           ocaml-gsl
Version:        1.19.1
Release:        %mkrel 4
Summary:        GSL-Bindings for OCaml (GNU Scientific Library)
License:        GPL-3+
Group:          Development/OCaml
URL:            http://mmottl.github.io/gsl-ocaml/
Source0:        https://github.com/mmottl/gsl-ocaml/archive/v%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  libgsl-devel
BuildRequires:  libatlas-devel
# "Architectures with double-word alignment for doubles are not supported"
ExcludeArch:	%arm
Requires:       %{libgsl_name}

%description
This is an interface to GSL (the GNU scientific library) for
the OCaml language.
GSL homepage: http://www.gnu.org/software/gsl

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libgsl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n gsl-ocaml-%{version}

%build
export GSL_CBLAS_LIB="-lgsl -L%{_libdir}/atlas -lsatlas"

./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel \
    --destdir %{buildroot}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/gsl
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt NOTES.md TODO.md
%dir %{_libdir}/ocaml/gsl
%{_libdir}/ocaml/gsl/META
%{_libdir}/ocaml/gsl/*.cmi
%{_libdir}/ocaml/gsl/*.cma
%{_libdir}/ocaml/gsl/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc examples/
%doc /usr/share/doc/ocaml-gsl-devel/api/
%{_libdir}/ocaml/gsl/*.a
%{_libdir}/ocaml/gsl/*.annot
%{_libdir}/ocaml/gsl/*.cmxa
%{_libdir}/ocaml/gsl/*.cmt
%{_libdir}/ocaml/gsl/*.cmti
%{_libdir}/ocaml/gsl/*.cmx
%{_libdir}/ocaml/gsl/*.mli
%{_libdir}/ocaml/gsl/*.ml


%changelog
* Mon May 23 2016 daviddavid <daviddavid> 1.19.1-4.mga6
+ Revision: 1017953
- link against new atlas for improved performance (like fedora)

  + tv <tv>
    - rebuild for new atlas

* Tue Feb 02 2016 pterjan <pterjan> 1.19.1-3.mga6
+ Revision: 931003
- Exclude arm which is not supported

* Mon Feb 01 2016 pterjan <pterjan> 1.19.1-2.mga6
+ Revision: 930875
- Rebuild for new ocaml

* Tue Jan 26 2016 luigiwalser <luigiwalser> 1.19.1-1.mga6
+ Revision: 927783
- 1.19.1
- rebuild for gsl

* Wed Oct 21 2015 tv <tv> 1.17.2-3.mga6
+ Revision: 893357
- fix build: package more docs

* Wed Oct 15 2014 umeabot <umeabot> 1.17.2-3.mga5
+ Revision: 750075
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17.2-2.mga5
+ Revision: 683043
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.17.2-1.mga5
+ Revision: 673976
- update to 1.17.2

* Sat Oct 19 2013 umeabot <umeabot> 1.13.0-6.mga4
+ Revision: 534725
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.13.0-5.mga4
+ Revision: 478643
- rebuild for new ocaml

* Wed Jul 31 2013 blue_prawn <blue_prawn> 1.13.0-4.mga4
+ Revision: 461551
- updated to last version 1.13.0

* Sun Jan 13 2013 umeabot <umeabot> 1.11.0-4.mga3
+ Revision: 361408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 1.11.0-3.mga3
+ Revision: 321390
- just rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.11.0-2.mga3
+ Revision: 301107
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.11.0-1.mga3
+ Revision: 300145
- updated to last version 1.11.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.10.2-3.mga3
+ Revision: 300140
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> 1.10.2-2.mga3
+ Revision: 285580
- fixed dependency on libgsl

* Wed Aug 22 2012 blue_prawn <blue_prawn> 1.10.2-1.mga3
+ Revision: 283154
- build requires camlp4
- imported package ocaml-gsl

